Skip to the page

Mark notifications read

POST/v1/me/notifications/read

Operation notifications.read · since 2026-11-05 · stable

Needs a session withwritescopeAnswers200 OK

{ "read" }: how many.

Body (JSON)

ids"all" or array of integersrequired
The notifications to mark read (up to 500), or all.

Errors

Every error is { "error", "message", "detail"? } (Errors and references). Besides the codes any route can answer.

POST/v1/me/notifications/read
curl -X POST "https://api.rykloud.com/v1/me/notifications/read" \
  -H "Authorization: Bearer $RYKLOUD_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
  "ids": "all"
}'